Page MenuHomePhabricator

EventStreamConfig's auto-topics config is incorrect
Closed, ResolvedPublic3 Estimated Story Points

Description

curl -s 'https://meta.wikimedia.org/w/api.php?action=streamconfigs&all_settings=1&format=json&streams=test.event'| jq .
{
  "streams": {
    "test.event": {
      "topics": [
        "test.event"
      ],
      "schema_title": "test/event",
      "stream": "test.event"
    }
  }
}

Should have topics [eqiad.test.event,codfw.test.event]

Event Timeline

Ottomata created this task.Jun 19 2020, 5:41 PM
Restricted Application added subscribers: Masumrezarock100, Aklapper. · View Herald TranscriptJun 19 2020, 5:41 PM

Ah, this is just because we never configured the topic prefixes :)

Milimetric triaged this task as High priority.Jun 22 2020, 4:20 PM
Milimetric moved this task from Incoming to Operational Excellence on the Analytics board.
Milimetric added a project: Analytics-Kanban.

Change 609170 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/extensions/EventStreamConfig@master] Add support for default settings

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/EventStreamConfig/ /609170

Change 609170 merged by jenkins-bot:
[mediawiki/extensions/EventStreamConfig@master] Add support for default settings

https://gerrit.wikimedia.org/r/609170

Ottomata moved this task from Next Up to In Progress on the Analytics-Kanban board.Aug 4 2020, 3:20 PM

Change 618330 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/mediawiki-config@master] EventStreamConfig - Set default topic_prefixes

https://gerrit.wikimedia.org/r/618330

Change 618330 merged by Ottomata:
[operations/mediawiki-config@master] EventStreamConfig - Set default topic_prefixes

https://gerrit.wikimedia.org/r/618330

Ottomata moved this task from In Progress to Done on the Analytics-Kanban board.Aug 4 2020, 3:53 PM

Mentioned in SAL (#wikimedia-operations) [2020-08-04T15:53:45Z] <otto@deploy1001> Synchronized wmf-config/InitialiseSettings.php: EventStreamConfig - Set default topic_prefixes - T255888 (duration: 00m 58s)

Nuria closed this task as Resolved.Aug 24 2020, 6:29 PM
Nuria set the point value for this task to 3.
Nuria set Final Story Points to 3.